<?php
/**
 * @copyright micropayment GmbH
 * @link      http://www.micropayment.de/
 */

require_once(__DIR__ . '/IDispatchAdapter.php');

interface IDispatchRequestAdapter extends IDispatchAdapter
{

    /**
     * @return string
     */
    public function getServiceUri();

    /**
     * @param string $value
     */
    public function setServiceUri($value);

    /**
     * @return string
     */
    public function getMethodName();

    /**
     * @param string $value
     */
    public function setMethodName($value);


    /**
     * @param array $value
     */
    public function setMethodParameters($value);

    /**
     * @return array
     */
    public function getMethodParameters();

    /**
     * @return mixed
     */
    public function call();
}
