<?php
/**
 * @copyright micropayment GmbH
 * @link      http://www.micropayment.de/
 */
require_once(__DIR__ . '/IDispatchAdapter.php');

interface IDispatchResponseAdapter extends IDispatchAdapter
{

    /**
     * @return mixed $value
     */
    public function getData();

    /**
     * @return MethodServiceReflection
     */
    public function getReflection();

    /**
     * @param mixed                   $data
     * @param MethodServiceReflection $interfaceNotificationReflection
     *
     * @return mixed
     */
    public function unserialize($data, MethodServiceReflection $interfaceNotificationReflection);
}
